Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1

SUJET :

mise à jour Debian et lanceur Lucterios il y a 3 ans 4 mois #3516

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 22
  • Remerciements reçus 2
Bonjour à tous.
Il y a quelques temps, j'avais procédé à une MAJ de ma distrib Debian et cela a eu comme résultat d'empêcher le lanceur Lucterios de démarrer.
Cela venait des versions de certains paquets Python, 3.7 testing au lieu de 3.5 stable.
Maintenant que Debian Stable vient de passer de Stretch à Buster, les précédents paquets python qui étaient en 3.7 testing sont en 3.7 stable.
Ma question est: est-il raisonnable de faire enfin une mise à jour? Luctérios est-il compatible avec ces versions 3.7?
Par soucis de garder une installation de Diacamme fonctionnelle, j'ai figé certains paquets Python mais cela a pour conséquence de m'empêcher de faire une MAJ de tout un tas d'autres paquets.

Merci d'avance pour votre réponse.

Bien cordialement

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Dernière édition: par jmok.

mise à jour Debian et lanceur Lucterios il y a 3 ans 4 mois #3522

  • lag
  • Portrait de lag
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • Messages : 1914
  • Karma: 8
  • Remerciements reçus 463
Bonjour,

Les packages python Diacamma & Lucterios se trouvent sous pypi.org .
Dans le package, il est précisé les dépendances principales dont les versions de python supporté
Voir par exemple pour lucterios : pypi.org/project/lucterios

Et donc, pour la version actuelle (2.3.11.19062118), les versions de python supportées (et testées) sont les versions 3.5, 3.6 et 3.7
La version 3.8 n'est actuellement pas contrôlé.
Cet utilisateur a été remercié pour son message par: jmok

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Principale contributeur (Développeur) à Diacamma
Administrateur de Sleto partenaire officiel de Diacamma : support et hébergement en ligne.

mise à jour Debian et lanceur Lucterios il y a 3 ans 4 mois #3530

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 22
  • Remerciements reçus 2
Bonsoir Laurent,
merci beaucoup pour votre réponse.
Comme vous le savez, c'est vous qui m'avez aidé la dernière fois que j'ai fait une maj des paquets Python. Et ça m'a vraiment piqué aux yeux de perdre le lanceur Lucterios puis de creuser au fond de la mine pour tout remettre en état.
Je ne suis pas un spécialiste Pyhton, je n'ai pas le réflexe d'aller voir pypi.org pour connaître les dépendances. Mais je prends bonne note et je vais rester attentif aux dépendances.

Je vais jouer la prudence, ce n'est peut-être pas rationnel mais c'est la période de clôture de l'exercice de ma copro, alors je ne peux pas prendre le risque de planter Diacamma pour l'instant.

Encore merci pour l'aide :-)

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

  • Page :
  • 1
Temps de génération de la page : 0.035 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous rechercher du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel